Coin: SoGLLinePatternElement Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

SoGLLinePatternElement Class Reference
Element Classes

The SoGLLinePatternElement class changes the line stipple pattern of the OpenGL render state. More...

`#include <Inventor/elements/SoGLLinePatternElement.h>`

Inheritance diagram for SoGLLinePatternElement:

## Public Member Functions
virtual void | init (SoState *state)
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
Public Member Functions inherited from SoInt32Element
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo (void) const
virtual void | print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
Static Public Member Functions inherited from SoLinePatternElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const int32_t pattern, const int32_t factor=1)
static void | set (SoState *const state, const int32_t pattern, const int32_t factor=1)
static int32_t | get (SoState *const state)
static int32_t | getDefault ()
static int32_t | getScaleFactor (SoState *const state)
static int32_t | getDefaultScaleFactor ()
Static Public Member Functions inherited from SoInt32Element
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
static void | set (const int index, SoState *const state, SoNode *const node, const int32_t value)
static void | set (const int index, SoState *const state, const int32_t value)
static int32_t | get (const int index, SoState *const state)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoGLLinePatternElement ()
virtual void | setElt (int32_t pattern)
| Called whenever element value is set. Triggers GL update.
Protected Member Functions inherited from SoLinePatternElement
virtual | ~SoLinePatternElement ()
Protected Member Functions inherited from SoInt32Element
virtual | ~SoInt32Element ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members
Public Types inherited from SoLinePatternElement
enum | Patterns { CONTINUOUS = 0xFFFF }
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoInt32Element
int32_t | data
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoGLLinePatternElement class changes the line stipple pattern of the OpenGL render state.

Requests from the scene graph to change the stipple pattern when rendering OpenGL line primitives will be made through this element, which forwards it to the appropriate native OpenGL call.

## Constructor & Destructor Documentation

## ◆ ~SoGLLinePatternElement()

SoGLLinePatternElement::~SoGLLinePatternElement | ( | void |  | ) |
| protectedvirtual

Destructor.

## Member Function Documentation

## ◆ getClassTypeId()

SoType SoGLLinePatternElement::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType object associated with objects of this class.

## ◆ getClassStackIndex()

int SoGLLinePatternElement::getClassStackIndex | ( | void |  | ) |
| static

This static method returns the state stack index for the class.

## ◆ createInstance()

void * SoGLLinePatternElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## ◆ initClass()

void SoGLLinePatternElement::initClass | ( | void |  | ) |
| static

Initialize relevant common data for all instances, like the type system.

## ◆ init()

void SoGLLinePatternElement::init | ( | SoState * | state | ) |
| virtual

Initializes element in state to default value.

Reimplemented from SoLinePatternElement.

## ◆ push()

void SoGLLinePatternElement::push | ( | SoState * | state | ) |
| virtual

Creates new element in stack.

Reimplemented from SoElement.

## ◆ pop()

void SoGLLinePatternElement::pop | ( | SoState * | state,
|  | const SoElement * | prevTopElement )
| virtual

Removes element from stack.

Reimplemented from SoElement.

## ◆ setElt()

void SoGLLinePatternElement::setElt | ( | int32_t | pattern | ) |
| protectedvirtual

Called whenever element value is set. Triggers GL update.

Reimplemented from SoInt32Element.

The documentation for this class was generated from the following files:

- SoGLLinePatternElement.h
- SoGLLinePatternElement.cpp